#include <p18cxxx.h>
#include "ds1307.h"
#include "sed1530.h"


#pragma config LVP = OFF, ICPRT = OFF
#pragma config PWRT = ON
#pragma config BOR = OFF
#pragma config WDT = OFF
#pragma config MCLRE = ON
#pragma config PLLDIV=5, CPUDIV=OSC4_PLL6, USBDIV=2, FOSC=HS
#pragma config PBADEN = OFF

#pragma code
void init_ds1307(void){
	char time[]={12,0,0}; //12:00:00 Uhr
	DS_settime_array(time);
	time[0] = 0;	//lsche alle Informtionen (12)
	DS_gettime_array(time); // ... und lese sie neu aus dem RTC via I2C aus
}

void init_SED1530(void){
	TRIS_A0 = out;
	TRIS_RES = out;
	RES = low;
	pagecounter = 0;
	columncounter = 0;
	data = 0;

	OpenSWSPI();
	ClearCSSWSPI();
	Delay100TCYx(100);
	RES = high;
	Delay100TCYx(100);

	A0 = low;
	//setBL();

	WriteSWSPI(0x40);
	WriteSWSPI(ADCInvers);
	WriteSWSPI(Bias_1_5);
	WriteSWSPI(0xC0);
	WriteSWSPI(0x2f);
	Delay100TCYx(100);
	WriteSWSPI(0x8f);
	WriteSWSPI(0xA4);
	WriteSWSPI(DisplayOn);
	WriteSWSPI(0xA6);

	A0 = high;
	Clear_SED();
	SED_Symbol(50,1);
	SED_contrast(16);
}

void main(void){
	init_ds1307();
	init_SED1530();
	
	while(1);
}

