/*************/
/* SED1530.h */
/*************/
#include <p18cxxx.h>
#include <SW_SPI.h>
#include <delays.h>

#ifndef __SED1530_H
#define __SED1530_H

/*****************/
/* D E F I N E S */
/*****************/
#define SC_width	96 //Screenwidth (96 for E0855-2)
#define A0			LATDbits.LATD3
#define TRIS_A0 	TRISDbits.TRISD3
/*
#define DIN			LATDbits.LATD2
#define TRIS_DIN 	TRISDbits.TRISD2
#define DOUT		LATDbits.LATD0
#define TRIS_DOUT	TRISDbits.TRISD0
#define SCLK		LATDbits.LATD1
#define TRIS_SCLK	TRISDbits.TRISD1
#define CS1			LATDbits.LATD4
#define TRIS_CS1	TRISDbits.TRISD4	
#define CS2			LATBbits.LATB3
#define TRIS_CS2	TRISBbits.TRISB3
*/
#define RES			LATDbits.LATD5
#define TRIS_RES	TRISDbits.TRISD5
#define DisplayOn 	0xAF
#define DisplayOff	0xAE
#define ADCInvers	0xA1
#define ADCNormal	0xA0
#define DisplayNormal	0xA6
#define DisplayReverse	0xA7
#define PowerOn		0xA4
#define PowerSave	0xA5
#define Bias_1_5	0xA2
#define Bias_1_6	0xA3
#define RMW			0xE0	//Read-Modify-Write
#define END			0xEE	//END Read-Modify-Write
#define SED_Reset		0xE2	// (14) Reset
#define StaticIndicatorOn	0xAC
#define StaticIndicatorOff	0xAD

// Set Power Control
#define _PC_Voltage_Follower	0x01
#define _PC_Regulator			0x02
#define _PC_Voltage_Booster		0x03

                                                   


#define low 0
#define high 1
#define in 1
#define out 0



/****************/
/*   Variables  */
/****************/
extern char pagecounter, columncounter, data;
/*****************/
/*   Funktionen  */
/*****************/
void InitSED1530(void);
char StartDisplayLine(char);
char SetPageAddress(char);
void SED_putc(unsigned char);
void SED_puts(char* string);
//void SED_puts_p(char *s_progmem);
void SED_puts_num(int numeric);
void SED_newline(void);
char SetColumnAddress(char);
void Clear_SED(void);
void Clear_Page_SED(char);
void SED_Home_Col(void);
void SED_set_XY(char, char);
void SED_Symbol(char, char);
void SED_contrast(char);
void SED_Pixel(char,char,char);
void SED_7segment(char, char);

#endif
